| Home | Libraries | People | FAQ | More

##### swap(rtree<...> &, rtree<...> &)

Exchanges the contents of the container with those of other.

###### Description

It calls `rtree::swap()`.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator>
    void swap(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > & l, rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > & r)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > &` | `l` | The first rtree.
`rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > &` | `r` | The second rtree.